Ruby: ext/openssl/ossl_x509crl.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
ossl_x509crl.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros
#define | NewX509CRL(klass) TypedData_Wrap_Struct((klass), &ossl_x509crl_type, 0)
#define | SetX509CRL(obj, crl)
#define | GetX509CRL(obj, crl)

## Functions
X509_CRL * | GetX509CRLPtr (VALUE obj)
VALUE | ossl_x509crl_new (X509_CRL *crl)
void | Init_ossl_x509crl (void)

## Variables
VALUE | cX509CRL
VALUE | eX509CRLError

## Macro Definition Documentation

## ◆ GetX509CRL

#define GetX509CRL | ( |  | obj,
|  |  | crl
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), X509_CRL, &ossl_x509crl_type, (crl)); \
if (!(crl)) { \
ossl_raise(rb_eRuntimeError, "CRL wasn't initialized!"); \
} \
} while (0)
rb_eRuntimeError
VALUE rb_eRuntimeError
Definition: error.c:1055

Definition at line 20 of file ossl_x509crl.c.

## ◆ NewX509CRL

#define NewX509CRL | ( |  | klass | ) | TypedData_Wrap_Struct((klass), &ossl_x509crl_type, 0)

Definition at line 12 of file ossl_x509crl.c.

## ◆ SetX509CRL

#define SetX509CRL | ( |  | obj,
|  |  | crl
| ) |  |

Value:
do { \
if (!(crl)) { \
ossl_raise(rb_eRuntimeError, "CRL wasn't initialized!"); \
} \
RTYPEDDATA_DATA(obj) = (crl); \
} while (0)

Definition at line 14 of file ossl_x509crl.c.

## Function Documentation

## ◆ GetX509CRLPtr()

X509_CRL * GetX509CRLPtr | ( | VALUE | obj | ) |

Definition at line 51 of file ossl_x509crl.c.

References GetX509CRL.

## ◆ Init_ossl_x509crl()

void Init_ossl_x509crl | ( | void |  | ) |

Definition at line 505 of file ossl_x509crl.c.

References cX509CRL, eOSSLError, eX509CRLError, mOSSL, mX509, rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## ◆ ossl_x509crl_new()

VALUE ossl_x509crl_new | ( | X509_CRL * | crl | ) |

Definition at line 61 of file ossl_x509crl.c.

References cX509CRL, eX509CRLError, NewX509CRL, NULL, ossl_raise(), and SetX509CRL.

## Variable Documentation

## ◆ cX509CRL

VALUE cX509CRL

Definition at line 30 of file ossl_x509crl.c.

Referenced by Init_ossl_x509crl(), and ossl_x509crl_new().

## ◆ eX509CRLError

VALUE eX509CRLError

Definition at line 31 of file ossl_x509crl.c.

Referenced by Init_ossl_x509crl(), and ossl_x509crl_new().